/*
================================================================================
(c)2004 David Sporn
================================================================================
Ce script est diffus selon les termes de la licence 
Creative-Common Attribution-Non Commercial 2.0
http://creativecommons.org/licenses/by-nc/2.0/
================================================================================
*/
#include "includes/RealCamera.inc"
#include "includes/MetricTexture.inc"

global_settings {
  assumed_gamma 1.0 
}


//First set
#declare object_base_color = rgb <1.0, 0.95, 0.7> ;
#declare ruler_base_color = rgb <0.1, 0.1, 0.7> ;
#declare ruler_width = 30 ;
#declare object_base_texture = texture
{
	pigment 
	{
		bozo
		color_map
		{
			[0 color object_base_color]
			[1 color rgb<0.5,0.3,0.1>]
		}
		scale .25
		turbulence 0.2
	}
}

setupMetricTextureKit(object_base_texture, object_base_color, ruler_base_color, ruler_width)

//Test all the textures
sphere 
{
	0, 3
	texture {MetricTextureX}
	scale 0.5
	translate <2,2,2>
}
sphere 
{
	0, 3
	texture {MetricTextureY}
	scale 0.5
	translate <6,2,2>
}
sphere 
{
	0, 3
	texture {MetricTextureZ}
	scale 0.5
	translate <10,2,2>
}
sphere 
{
	0, 3
	texture {MetricTextureXY}
	scale 0.5
	translate <2,2,6>
}
sphere 
{
	0, 3
	texture {MetricTextureXZ}
	scale 0.5
	translate <6,2,6>
}
sphere 
{
	0, 3
	texture {MetricTextureYZ}
	scale 0.5
	translate <10,2,6>
}
sphere 
{
	0, 3
	texture {MetricTextureXYZ}
	scale 0.5
	translate <14,2,6>
}

//Second set
#declare ruler_width = 15 ;
#declare object_base_texture = texture
{
	pigment 
	{
		bozo
		color_map
		{
			[0 color object_base_color]
			[1 color rgb<0.1,0.7,0.1>]
		}
		scale 4
		turbulence 0.1
	}
}

setupMetricTextureKit(object_base_texture, object_base_color, ruler_base_color, ruler_width)

plane
{
	y, 0
	texture {MetricTextureXZ}
}

//illumination
light_source
{
    0*x
    color rgb 1

    translate <-50, 50, -50>
}

light_source
{
    0*x
    color rgb 0.15

    translate <50, 50, -50>
}


camera
{
    location <1, 1, -1> * 16.75
    setupRealCamera(60, 36, image_width/image_height)
    look_at <8, 2, 4>
}

